/* -*-  Mode: C++; c-file-style: "gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2009 Drexel University
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Joe Kopena <tjkopena@cs.drexel.edu>
 */

#include <string>
#include <string.h>

#include "net-debug.h"

#include "tokenizer.h"

using namespace ns3;

void
Tokenizer::Tokenize(std::vector<std::string>& tokens,
		    char *str, unsigned int n)
{

  char *res;

  unsigned int i;
  for (i = 0; i < n && str[i] != 0; i++) {
    if (str[i] == '#') {
      str[i] = 0;
      break;
    }
  }

  if (i >= n) {
    NET_ERR("Overfull line for tokenizing:\n" <<
	    str);
    return;
  }

  if ((res = strtok(str, " ")) != 0) {
    do {
      tokens.push_back(std::string(res));
    } while ((res = strtok(0, " ")) != 0);
  }

  // end Tokenizer::Tokenize
}
